'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.createRenderer = createRenderer;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createRenderer(Component, container) {
    function render(props) {
        _reactDom2.default.render(_react2.default.createElement(Component, props), container);
    };

    function unmount() {
        _reactDom2.default.unmountComponentAtNode(container);
    };

    return {
        render: render,
        unmount: unmount
    };
}